#
# Copyright (c) 2013- 	  Fermilab Network Research Group	
#
# $COPYRIGHT$
#
# Additional copyrights may follow
#
# $HEADER$
#
############################################################################

#############################################################################
#
# Configuration Logic
#
#############################################################################

%define _rpmfilename %%{ARCH}/%%{NAME}-%%{VERSION}-%%{RELEASE}.%%{OS}.%%{ARCH}.rpm

#############################################################################
#
# Preamble Section
#
#############################################################################

Summary: An implementation of high peroformance FTP using MDTM middleware 
Name: mdtmftp
Version: 1.0.2
Release: alpha.2
URL: http://mdtm.fnal.gov/
Vendor: Fermilab Network Research Group
Source0: http://mdtm.fnal.gov/dist/mdtm/mdtmftp-%{version}-%{release}.tar.gz
License: GNU General Public License
Group: System Environment/Daemons
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: autoconf, perl, pkgconfig, findutils
Requires: /etc/mime.types
Requires: mdtm
Requires(pre): /usr/sbin/useradd
Requires(post): chkconfig
Prefix: /opt
AutoReq: 0

%description
MDTMFTP is a powerful, full-featured, efficient, and freely-available
ftp software.

#############################################################################
#
# Prepatory Section
#
#############################################################################

%prep
%setup -q -n %{name}

#############################################################################
#
# Build Section
#
#############################################################################

%build

%configure \
	--prefix=%{prefix}/%{name}/%{version}

make mdtm_ftp_server mdtm_ftp_client	#%{?_smp_mflags} 

#############################################################################
#
# Install Section
#
#############################################################################

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT mdtm_ftp_server mdtm_ftp_client


%pre

%post

%preun

#############################################################################
#
# Clean Section
#
#############################################################################

%clean
rm -rf $RPM_BUILD_ROOT

#############################################################################
#
# Files Section
#
#############################################################################

%files
%defattr(-,root,root)

#%doc README ChangeLog

#%config %{_sysconfdir}/rc.d/init.d/mdtmd

%{prefix}/%{name}/%{version}/*	

#############################################################################
#
# Changelog
#
#############################################################################
%changelog
* Fri Feb 9 2018 Liang Zhang <liangz@fnal.gov>
- Initial version

